Hello,
Thanks for your explanations.
I figured out tests have been modified upstream in branch 0.10.33-release, but 
not in master [1].

I can prepare and provide you with a patch so that nodejs could build on 
jessie, which could save you some time.
Would you mind sponsoring it ?

Regards,
Jean Baptiste

[1] 
https://github.com/joyent/node/commit/707cc25011d142fe4ade14ce2aa083a96ef15bcb

On 15/11/2014 14:40, Jérémy Lal wrote:
> Le samedi 15 novembre 2014 à 12:39 +0100, Jean Baptiste Favre a écrit :
> > Hello,
> > We had a look on it during Paris BSP. Here is a summary of what we found.
> >
> > - nodejs was uploaded and build against libssl-dev 1.0.1h-2 [1]. At
> > this time, build went well
> > - in the meantime, libssl-dev has been updated to 1.0.1j-1. This
> > verison of libbssl-dev makes the test fail.
> > - downgrading libssl-dev to wheezy version (1.0.1e-2+deb7u12) allows
> > nodejs tests to pass successfully.
>
> Hello,
>
> this is expected: openssl disabled some transport (for security reasons)
> that nodejs 0.10.29 still tests.
> I have nodejs 0.10.33 ready in collab-maint, unfortunately we are frozen
> and from what i read of the freeze policy it won't be accepted into
> testing (no new upstream releases). I won't spend the day making patches
> just to work around that strict policy.
>
> Jérémy.

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to